## ros-indigo-ardrone-autonomy 1.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ardrone_autonomy)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
    roscpp
    image_transport
    sensor_msgs
    std_srvs
    tf
    camera_info_manager
    message_generation
    roslint
)

add_service_files(
    DIRECTORY srv
    FILES
    CamSelect.srv
    FlightAnim.srv
    LedAnim.srv
    RecordEnable.srv
)

add_message_files(
    DIRECTORY msg
    FILES
    matrix33.msg
    navdata_adc_data_frame.msg
    navdata_altitude.msg
    navdata_demo.msg
    navdata_euler_angles.msg
    navdata_games.msg
    navdata_gyros_offsets.msg
    navdata_hdvideo_stream.msg
    navdata_kalman_pressure.msg
    navdata_magneto.msg
    Navdata.msg
    navdata_phys_measures.msg
    navdata_pressure_raw.msg
    navdata_pwm.msg
    navdata_raw_measures.msg
    navdata_rc_references.msg
    navdata_references.msg
    navdata_time.msg
    navdata_trackers_send.msg
    navdata_trims.msg
    navdata_video_stream.msg
    navdata_vision_detect.msg
    navdata_vision.msg
    navdata_vision_of.msg
    navdata_vision_perf.msg
    navdata_vision_raw.msg
    navdata_watchdog.msg
    navdata_wifi.msg
    navdata_wind_speed.msg
    navdata_zimmu_3000.msg
    vector21.msg
    vector31.msg
)

# Generate added messages and services with any dependencies listed here
generate_messages(DEPENDENCIES geometry_msgs std_msgs)

catkin_package(
  DEPENDS libsdl-dev
  CATKIN_DEPENDS
    roscpp
    image_transport
    message_runtime
    sensor_msgs
    std_srvs
    tf
    camera_info_manager
)

# Build [pathced] ardronelib from an external project
include(ExternalProject)
ExternalProject_Add(ardronelib
    GIT_REPOSITORY git://github.com/AutonomyLab/ardronelib.git
    GIT_TAG 2f987029c55531e4c0119c3600f9c57f935851ed
    PREFIX ${CATKIN_DEVEL_PREFIX}
    CONFIGURE_COMMAND echo "No configure"
    BUILD_COMMAND make
    INSTALL_COMMAND make install INSTALL_PREFIX=${CATKIN_DEVEL_PREFIX}/lib/ardrone
    BUILD_IN_SOURCE 1
)

# Find sdk directories for headers and libraries in devel space
set(SDK ${CATKIN_DEVEL_PREFIX}/src/ardronelib/ARDroneLib/)
include_directories(
    ${SDK}
    ${SDK}/FFMPEG/Includes
    ${SDK}/Soft/Common
    ${SDK}/Soft/Lib
    ${SDK}/VP_SDK
    ${SDK}/VP_SDK/VP_Os/linux
)
link_directories(${CATKIN_DEVEL_PREFIX}/lib/ardrone)

# Add CATKIN_INCLUDE_DIRS
include_directories(${catkin_INCLUDE_DIRS})

# Add Boost_INCLUDE_DIRS
include_directories(${Boost_INCLUDE_DIRS})

# Add headers directory
include_directories(include)

# Set SOURCE and HEADER files

set(AA_HEADERS
    include/ardrone_autonomy/ardrone_driver.h
    include/ardrone_autonomy/video.h
    include/ardrone_autonomy/ardrone_sdk.h
    include/ardrone_autonomy/teleop_twist.h
)

set(AA_SOURCES
    src/ardrone_driver.cpp
    src/video.cpp
    src/ardrone_sdk.cpp
    src/teleop_twist.cpp
)

# Build executable
add_executable(ardrone_driver ${AA_SOURCES})
target_link_libraries(
    ardrone_driver
    pc_ardrone
    avcodec
    swscale
    avutil
    vlib
    sdk
    SDL
    ${Boost_LIBRARIES}
    ${catkin_LIBRARIES}
)

add_dependencies(ardrone_driver ardronelib ${PROJECT_NAME}_gencpp)

# roslint
set(ROSLINT_CPP_OPTS "--filter=-runtime/references-runtime/threadsafe_fn")
roslint_cpp(${AA_HEADERS} ${AA_SOURCES})

# Install Rules
install(TARGETS ardrone_driver RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY launch/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
    PATTERN ".git" EXCLUDE
)

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ardrone_autonomy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ardrone_autonomy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ardrone_autonomy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ardrone_autonomy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
ros-indigo-ardrone-autonomy (1.4.1-0trusty) trusty; urgency=high

  * Enable realtime navdata/video in sample launch file
  * Fix integer only values for odom.pose.z (fixes #155 <https://github.com/AutonomyLab/ardrone_autonomy/issues/155>) (hattip to @alexjung)
  * Use tf_prefix parameter for multiple drone settings (fixes #156 <https://github.com/AutonomyLab/ardrone_autonomy/issues/156>)
    - Use tf_prefix to prefix tf frame names
    - Update single and multiple drone launch files to demo the usage
  * Add example launch file for multiple drones.
  * Publish TF at the same rate as odometry
  * Contributors: Jacob Perron, Mani Monajjemi, Matias N. (v01d)

 -- Mani Monajjemi <mmonajje@sfu.ca>  Sun, 18 Oct 2015 07:00:00 -0000

ros-indigo-ardrone-autonomy (1.4.0-0trusty) trusty; urgency=high

  * Added support for running multiple instances of the driver on a same machine
  * Added support for publishing odometry data and transform
  * Deprecated "Setting TF root" and "IMU Calibration"
  * Use reception time for video streams
  * Improved documentation. Documentation is now hosted on readthedocs
  * Updated gps-waypoint branch and its documentation
  * Build system improvements + roslint + code cleanups
  * Contributors: Mani Monajjemi, v01d, kbogert

 -- Mani Monajjemi <mmonajje@sfu.ca>  Fri, 24 Apr 2015 07:00:00 -0000

ros-indigo-ardrone-autonomy (1.3.7-0trusty) trusty; urgency=high

  * Use git protocol instead of https for cmake external project (fixes ca-certificate issues on the build farm)

 -- Mani Monajjemi <mmonajje@sfu.ca>  Mon, 08 Sep 2014 07:00:00 -0000

ros-indigo-ardrone-autonomy (1.3.6-0trusty) trusty; urgency=high

  * Adding git as build dependency to fix binary build

 -- Mani Monajjemi <mmonajje@sfu.ca>  Fri, 05 Sep 2014 07:00:00 -0000

ros-indigo-ardrone-autonomy (1.3.5-0trusty) trusty; urgency=high

  * Fixed Incorrect orientation in ardrone/imu #113  ht @tomas-c
  * Added install rules for launch files. #114 ht @kbogert @fig0451
  * ARDroneSDK is now fetched from an external repository. Patches are applied there.
  * Add unit for pressure readings to README @garyservin
  * Moved header files to include directory #110 @garyservin
  * Fix ffmpeg library link order #109 @garyservin
  * Contributors: Gary Servin, Mani Monajjemi

 -- Mani Monajjemi <mmonajje@sfu.ca>  Wed, 03 Sep 2014 07:00:00 -0000

ros-indigo-ardrone-autonomy (1.3.4-0trusty) trusty; urgency=high

  * Decreased the frequency of magnetometer warning message
  * Fixed some warnings to address #104 <https://github.com/AutonomyLab/ardrone_autonomy/issues/104>
  * Contributors: Mani Monajjemi

 -- Mani Monajjemi <mmonajje@sfu.ca>  Tue, 03 Jun 2014 07:00:00 -0000

ros-indigo-ardrone-autonomy (1.3.3-0trusty) trusty; urgency=high

  * Fixed tf deprecated setEulerZYX
  * New SDK patch to remove deprecated warnings from FFMPEG

 -- Mani Monajjemi <mmonajje@sfu.ca>  Sat, 01 Mar 2014 08:00:00 -0000

ros-indigo-ardrone-autonomy (1.3.2-0trusty) trusty; urgency=high

  * SDK related bug fixes for building binaries.

 -- Mani Monajjemi <mmonajje@sfu.ca>  Tue, 25 Feb 2014 08:00:00 -0000

ros-indigo-ardrone-autonomy (1.3.1-0trusty) trusty; urgency=high

  * Preparing the initial binary release.

 -- Mani Monajjemi <mmonajje@sfu.ca>  Tue, 18 Feb 2014 08:00:00 -0000

=== debian/control ===
Source: ros-indigo-ardrone-autonomy
Section: misc
Priority: extra
Maintainer: Mani Monajjemi <mmonajje@sfu.ca>
Build-Depends: debhelper (>= 9.0.0), binutils-dev, daemontools, git-core, libgtk2.0-dev, libiw-dev, libsdl1.2-dev, libudev-dev, libxml2-dev, ros-indigo-camera-info-manager, ros-indigo-catkin, ros-indigo-image-transport, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-sensor-msgs, ros-indigo-std-srvs, ros-indigo-tf
Homepage: http://wiki.ros.org/ardrone_autonomy
Standards-Version: 3.9.2

Package: ros-indigo-ardrone-autonomy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-camera-info-manager, ros-indigo-image-transport, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-srvs, ros-indigo-tf
Description: ardrone_autonomy is a ROS driver for Parrot AR-Drone 1.0 and 2.0 quadrocopters. This driver is based on official AR-Drone SDK version 2.0.1.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ardrone-autonomy//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
